# Skip's Rocky Linux "No Compromises" Desktop Spin


## Current ISO and Git locations:
  - https://skiprocky.linuxdn.org/Rocky_NoCompromise_Spin/
  - https://git.resf.org/skip/No-Compromises-ISO


Feedback, pull requests, ideas, etc. are always welcome!  File issues at the Git repo, or hit me up (Skip, skip77) on chat.rockylinux.org / irc.libera.chat

###

**IMPORTANT**:  You MUST disable secureboot on your system (in UEFI/BIOS) to use this.  If you do not, this iso WILL NOT BOOT.

###



## Overview / Philosophy

This is a live ISO of Rocky Linux, customized as much as possible for friendly daily desktop use.

Particular attention is paid to the out of the box user experience.  Ideally, things should "just work" on the desktop as much as possible.  Apps should be discoverable, drivers should come pre-installed, and ideally the system should work for the user, rather than the other way around.  The "No Compromises" (NC) name refers to end-user friendliness and usability above all other design decisions.  No compromise should be made which makes things harder for the user.

If a pure basic desktop user needs to hop on the terminal or go digging through the Rocky forums to do a basic desktop task, I consider it a bug and a failure that ought to be rectified.

This spin takes influence from other projects/distros, especially user-friendly/desktop-oriented ones such as Linux Mint.  The Enterprise Linux world is not exactly the most user friendly when it comes to desktop use, and I believe that can be improved.  These builds are designed (in part) to show the possibilities.


This little project is currently in early-release form, and uses the excellent Rocky live image kickstarts as a base to build from.

So far there's only a default Rocky/RHEL Gnome desktop, but a customized and pretty MATE spin is what I really want to do ;-) .



## Features

#### Upstream LT kernel installed by default (6.1.x)
  - Hugely better driver compatibility, especially for common laptop/desktop hardware
  - Better desktop performance in most situations


#### Drivers
  - Nvidia driver pre-installed, should work with no modification
  - Tweaks to improve Intel display compatibility
  - More drivers to be added soon - request them!


#### Extra Software Repositories enabled by default:
  - EPEL
  - RPMFusion
  - ELRepo
  - CodeReadyBuilder
  - Flathub (Flatpak) (browseable in Software app).  Flatpak opens the door to thousands of useful GUI apps for users


#### Commonly useful packages pre-installed:
  - LibreOffice
  - OnlyOffice
  - Google Chrome
  - GUI customization apps like gnome-tweak, grub-customizer, etc.
  - others


#### Media 
  - Just about every audio/video formats should work out of the box
  - VLC




